#!/bin/bash

for pco in 0.25 0.50 0.75
do
	echo -n "" > results$pco
	for psw in 0.25 0.50 0.75
	do
		while read line
		do
			echo -n "$line" >> results$pco
			echo -n -e "\tCI1" >> results$pco
			echo -e "\tpco=$pco, psw=$psw" >> results$pco
		done < results/resultsCI1-$pco-$psw
		while read line
		do
			echo -n "$line" >> results$pco
			echo -n -e "\tCI2" >> results$pco
			echo -e "\tpco=$pco, psw=$psw" >> results$pco
		done < results/resultsCI2-$pco-$psw
		while read line
		do
			echo -n "$line" >> results$pco
			echo -n -e "\tJ4" >> results$pco
			echo -e "\tpco=$pco, psw=$psw" >> results$pco
		done < results/resultsJane-$pco-$psw
		while read line
		do
			echo -n "$line" >> results$pco
			echo -n -e "\tT3b" >> results$pco
			echo -e "\tpco=$pco, psw=$psw" >> results$pco
		done < results/resultsTreemap-$pco-$psw
		while read line
		do
			echo -n "$line" >> results$pco
			echo -n -e "\tN2.8" >> results$pco
			echo -e "\tpco=$pco, psw=$psw" >> results$pco
		done < results/resultsNotung-$pco-$psw
		while read line
		do
			echo -n "$line" >> results$pco
			echo -n -e "\tRDTL" >> results$pco
			echo -e "\tpco=$pco, psw=$psw" >> results$pco
		done < results/resultsRanger-$pco-$psw
		echo -e "\t\t\tpco=$pco, psw=$psw" >> results$pco
	done
	mv results$pco results
done

Rscript plotsSupplement.R

